aboutsummaryrefslogtreecommitdiff
path: root/dbus/dbus/post-install
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2021-02-17 10:11:50 +0300
committerCem Keylan <cem@ckyln.com>2021-02-17 10:11:59 +0300
commit6687e646d44c0cdd72264408a9164a0d83c7dc79 (patch)
tree26e7d30c263d3dbda5dfda2a69e3c6d2356d18c3 /dbus/dbus/post-install
parent1ff47c0942af32860482018de2148f2455f64cc2 (diff)
downloadrepository-6687e646d44c0cdd72264408a9164a0d83c7dc79.tar.gz
dbus: add new package at 1.12.20
I am truly sorry, please forgive me.
Diffstat (limited to 'dbus/dbus/post-install')
-rwxr-xr-xdbus/dbus/post-install20
1 files changed, 20 insertions, 0 deletions
diff --git a/dbus/dbus/post-install b/dbus/dbus/post-install
new file mode 100755
index 00000000..5c47035c
--- /dev/null
+++ b/dbus/dbus/post-install
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+mkdir -p "$CPT_ROOT/var/lib/dbus" "$CPT_ROOT/etc/dbus-1/session.d"
+
+chr() {
+ # Run in chroot if CPT_ROOT variable exists
+ if [ "$CPT_ROOT" ]; then
+ chroot "$CPT_ROOT" "$@"
+ else
+ "$@"
+ fi
+}
+
+grep -q ^dbus: "$CPT_ROOT/etc/passwd" || {
+ chr addgroup -g 22 -S dbus
+ chr adduser -u 22 -S -H -G dbus dbus
+}
+chown root:dbus "$CPT_ROOT/usr/libexec/dbus-daemon-launch-helper"
+chmod 4750 "$CPT_ROOT/usr/libexec/dbus-daemon-launch-helper"
+chr /usr/bin/dbus-uuidgen --ensure || :